<?xml version="1.0" encoding="UTF-8"?>
<doctrine-mapping>
    <embeddable name="App\Domain\PropertyManagement\ValueObject\PropertyDetails">
        <field
                name="bedrooms"
                type="integer"
                nullable="true"
        />
        <field
                name="fullBathrooms"
                type="integer"
                nullable="true"
        />
        <field
                name="partialBathrooms"
                type="integer"
                nullable="true"
        />
        <field
                name="squareFootage"
                type="integer"
                nullable="true"
        />
        <field
                name="yearBuilt"
                type="integer"
                nullable="true"
        />
        <field
                name="lotSize"
                type="float"
                nullable="true"
        />
    </embeddable>
</doctrine-mapping>